Skip to content
This repository
Newer
Older
100644 145 lines (138 sloc) 5.531 kb
f9844dda »
2009-10-16 experimental 0.2.5 gem to go onto gemcutter
1 # Generated by jeweler
9061dc39 »
2009-11-22 Revert "Ouch, should have dependencies rspec_hpricot_matchers - not r…
2 # DO NOT EDIT THIS FILE
3 # Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{formtastic}
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
8 s.version = "0.9.2"
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Justin French"]
12 s.autorequire = %q{formtastic}
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
13 s.date = %q{2009-11-23}
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
14 s.description = %q{A Rails form builder plugin/gem with semantically rich and accessible markup}
15 s.email = %q{justin@indent.com.au}
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
16 s.extra_rdoc_files = [
17 "README.textile"
18 ]
19 s.files = [
20 "MIT-LICENSE",
f9844dda »
2009-10-16 experimental 0.2.5 gem to go onto gemcutter
21 "README.textile",
22 "Rakefile",
23 "generators/form/USAGE",
24 "generators/form/form_generator.rb",
25 "generators/form/templates/view__form.html.erb",
26 "generators/form/templates/view__form.html.haml",
27 "generators/formtastic/formtastic_generator.rb",
28 "generators/formtastic/templates/formtastic.css",
29 "generators/formtastic/templates/formtastic.rb",
30 "generators/formtastic/templates/formtastic_changes.css",
441f140f »
2009-10-21 bumping all the way up to 0.9
31 "generators/formtastic_stylesheets/formtastic_stylesheets_generator.rb",
f9844dda »
2009-10-16 experimental 0.2.5 gem to go onto gemcutter
32 "lib/formtastic.rb",
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
33 "lib/formtastic/i18n.rb",
f9844dda »
2009-10-16 experimental 0.2.5 gem to go onto gemcutter
34 "lib/locale/en.yml",
35 "rails/init.rb",
9ef91e8a »
2009-10-27 new gemspec
36 "spec/buttons_spec.rb",
37 "spec/commit_button_spec.rb",
38 "spec/custom_builder_spec.rb",
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
39 "spec/custom_macros.rb",
9ef91e8a »
2009-10-27 new gemspec
40 "spec/error_proc_spec.rb",
41 "spec/errors_spec.rb",
42 "spec/form_helper_spec.rb",
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
43 "spec/i18n_spec.rb",
9ef91e8a »
2009-10-27 new gemspec
44 "spec/include_blank_spec.rb",
45 "spec/input_spec.rb",
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
46 "spec/inputs/boolean_input_spec.rb",
47 "spec/inputs/check_boxes_input_spec.rb",
48 "spec/inputs/country_input_spec.rb",
49 "spec/inputs/date_input_spec.rb",
50 "spec/inputs/datetime_input_spec.rb",
51 "spec/inputs/file_input_spec.rb",
52 "spec/inputs/hidden_input_spec.rb",
53 "spec/inputs/numeric_input_spec.rb",
54 "spec/inputs/password_input_spec.rb",
55 "spec/inputs/radio_input_spec.rb",
56 "spec/inputs/select_input_spec.rb",
57 "spec/inputs/string_input_spec.rb",
58 "spec/inputs/text_input_spec.rb",
59 "spec/inputs/time_input_spec.rb",
60 "spec/inputs/time_zone_input_spec.rb",
9ef91e8a »
2009-10-27 new gemspec
61 "spec/inputs_spec.rb",
62 "spec/label_spec.rb",
63 "spec/semantic_fields_for_spec.rb",
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
64 "spec/spec.opts",
6a8b74f4 »
2009-11-16 renamed test_helper.rb to spec_helper.rb
65 "spec/spec_helper.rb"
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
66 ]
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
67 s.homepage = %q{http://github.com/justinfrench/formtastic/tree/master}
eed8b711 »
2009-10-19 added a post_install_message to rake task/gemspec
68 s.post_install_message = %q{
69 ========================================================================
70 Thanks for installing Formtastic!
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
71 ------------------------------------------------------------------------
eed8b711 »
2009-10-19 added a post_install_message to rake task/gemspec
72 You can now (optionally) run the generater to copy some stylesheets and
73 a config initializer into your application:
74 ./script/generate formtastic
75
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
76 To generate some semantic form markup for your exisiting models, just run:
77 ./script/generate form MODEL_NAME
78
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
79 Find out more and get involved:
eed8b711 »
2009-10-19 added a post_install_message to rake task/gemspec
80 http://github.com/justinfrench/formtastic
81 http://groups.google.com.au/group/formtastic
82 ========================================================================
83 }
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
84 s.rdoc_options = ["--charset=UTF-8"]
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
85 s.require_paths = ["lib"]
f9844dda »
2009-10-16 experimental 0.2.5 gem to go onto gemcutter
86 s.rubygems_version = %q{1.3.5}
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
87 s.summary = %q{A Rails form builder plugin/gem with semantically rich and accessible markup}
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
88 s.test_files = [
9ef91e8a »
2009-10-27 new gemspec
89 "spec/buttons_spec.rb",
90 "spec/commit_button_spec.rb",
91 "spec/custom_builder_spec.rb",
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
92 "spec/custom_macros.rb",
9ef91e8a »
2009-10-27 new gemspec
93 "spec/error_proc_spec.rb",
94 "spec/errors_spec.rb",
95 "spec/form_helper_spec.rb",
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
96 "spec/i18n_spec.rb",
9ef91e8a »
2009-10-27 new gemspec
97 "spec/include_blank_spec.rb",
98 "spec/input_spec.rb",
2129d298 »
2009-11-17 new gemspec and bumped version to 0.9.2
99 "spec/inputs/boolean_input_spec.rb",
100 "spec/inputs/check_boxes_input_spec.rb",
101 "spec/inputs/country_input_spec.rb",
102 "spec/inputs/date_input_spec.rb",
103 "spec/inputs/datetime_input_spec.rb",
104 "spec/inputs/file_input_spec.rb",
105 "spec/inputs/hidden_input_spec.rb",
106 "spec/inputs/numeric_input_spec.rb",
107 "spec/inputs/password_input_spec.rb",
108 "spec/inputs/radio_input_spec.rb",
109 "spec/inputs/select_input_spec.rb",
110 "spec/inputs/string_input_spec.rb",
111 "spec/inputs/text_input_spec.rb",
112 "spec/inputs/time_input_spec.rb",
113 "spec/inputs/time_zone_input_spec.rb",
9ef91e8a »
2009-10-27 new gemspec
114 "spec/inputs_spec.rb",
115 "spec/label_spec.rb",
116 "spec/semantic_fields_for_spec.rb",
6a8b74f4 »
2009-11-16 renamed test_helper.rb to spec_helper.rb
117 "spec/spec_helper.rb"
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
118 ]
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
119
120 if s.respond_to? :specification_version then
121 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
122 s.specification_version = 3
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
123
124 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
125 s.add_runtime_dependency(%q<activesupport>, [">= 2.3.0"])
126 s.add_runtime_dependency(%q<actionpack>, [">= 2.3.0"])
127 s.add_development_dependency(%q<rspec-rails>, [">= 1.2.6"])
128 s.add_development_dependency(%q<hpricot>, [">= 0.6.1"])
129 s.add_development_dependency(%q<rspec_hpricot_matchers>, [">= 1.0.0"])
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
130 else
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
131 s.add_dependency(%q<activesupport>, [">= 2.3.0"])
132 s.add_dependency(%q<actionpack>, [">= 2.3.0"])
133 s.add_dependency(%q<rspec-rails>, [">= 1.2.6"])
134 s.add_dependency(%q<hpricot>, [">= 0.6.1"])
135 s.add_dependency(%q<rspec_hpricot_matchers>, [">= 1.0.0"])
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
136 end
137 else
b361e705 »
2009-11-23 fixed activesupport and actionpack dependencies, generated a new gemspec
138 s.add_dependency(%q<activesupport>, [">= 2.3.0"])
139 s.add_dependency(%q<actionpack>, [">= 2.3.0"])
140 s.add_dependency(%q<rspec-rails>, [">= 1.2.6"])
141 s.add_dependency(%q<hpricot>, [">= 0.6.1"])
142 s.add_dependency(%q<rspec_hpricot_matchers>, [">= 1.0.0"])
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
143 end
144 end
Something went wrong with that request. Please try again.